Skip to content

List all ticket states

Request

You can get a list of all ticket states for a workspace. The list includes archived ticket states; check archived on each one.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  https://api.intercom.io/ticket_states \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

successful

Bodyapplication/json
typestring

String representing the object's type. Always has the value list.

Example:"list"
dataArray of objects(Ticket State)

A list of ticket states associated with a given ticket type.

Response
{ "type": "list", "data": [ { … }, { … }, { … }, { … }, { … }, { … } ] }